# СПБ ГУП «ИАЦ»

## Тестовое задание для Python-разработчика (дата аналитика)

Задание: [Task.md](https://git.dm1sh.ru/dm1sh/iac_test/src/branch/main/Task.md)

- Скрипт для парсинга и работа с данными: [rosseti_parser](https://git.dm1sh.ru/dm1sh/iac_test/src/branch/main/rosseti_parser)

    Модуль можно запустить командой `python -m rosseti_parser`, или импортировать из него необходимые методы и использовать где-то ещё

- Анализ данных: [main.ipynb](https://git.dm1sh.ru/dm1sh/iac_test/src/branch/main/main.ipynb) 
    
    Необходимо скачать (платформа пока не поддерживает отображение ноутбука). Для запуска, установить библиотеки из `requirements.dev.txt`

- Визуализация: [Yandex DataLens](https://datalens.yandex/kq0ymfuy5w7e9)
    
    Простенький дашборд с картой точек, хитмапом и несколькими графиками

- Создание базы данных, API и docker: [parser_api](https://git.dm1sh.ru/dm1sh/iac_test/src/branch/main/parser_api)

    FastAPI приложение, запускающее в дополнительном потоке периодическое обновление данных в базе.

    Доступные методы:
    
    - GET /api/list - Поиск по каждому полю в отдельности
    - GET /api/search - Поиск по всем полям сразу
    - GET /api/check - Проверка, является ли отключение в вашем доме сейчас официальным и если да, то когда сеть снова включат.
    - PUT /api/create - Отладочное поле для добавления записей в БД
    - GET / - Healthcheck
